package cn.yw.machinemanage.action;

 import cn.base.aspect.OperateType;
import cn.base.bean.BaseAction;
 import cn.base.util.Constants;
 import cn.base.util.LogConstants;
 import cn.base.util.StringUtil;
 import cn.base.util.Struts2Utils;
import cn.yw.machinemanage.service.YwmachinecurrentstateService;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

 import java.util.HashMap;
 import java.util.List;
 import java.util.Map;

@SuppressWarnings({"all"})
@Component("ywmachinecurrentstateAction")
public class YwmachinecurrentstateAction extends BaseAction{
	private static final long serialVersionUID = 1L;
	private static Logger iLog = Logger.getLogger(YwmachinecurrentstateAction.class);
	
	@Autowired
	private YwmachinecurrentstateService service;
	
	
	/**
	 * 服务器在线率统计
	 */
	@OperateType(value = LogConstants.LOG_GET ,info ="statisticsMachineOnlineRate")
	public void statisticsMachineOnlineRate(){
		try {
			Struts2Utils.renderJson(this.service.statisticsMachineOnlineRate());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("ywmachinecurrentstateAction-statisticsMachineOnlineRate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	/**
	 * 服务器完好率
	 */
	@OperateType(value = LogConstants.LOG_GET ,info ="statisticsMachineIntactRate")
	public void statisticsMachineIntactRate(){
		try {
			Struts2Utils.renderJson(this.service.listStatisticsMachineIntactRate());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("ywmachinecurrentstateAction-statisticsMachineIntactRate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}

	/**
	 * 分页
	 */
	//@OperateType(value = LogConstants.LOG_QUERY ,info ="listYwmachinecurrentstateByPage")
	public void listYwmachinecurrentstateByPage(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
			map.put("start",start );
			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.listYwmachinecurrentstateByPage(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-listYwmachinecurrentstateByPage-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	//@OperateType(value = LogConstants.LOG_QUERY ,info ="listYwmachinecurrentstateByPage")
	public void listMachineInfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
//			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
//			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
//			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
//			map.put("start",start );
//			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.listMachineInfo(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-listMachineInfo-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	/**
	 * 查询总数
	 */
	//@OperateType(value = LogConstants.LOG_QUERY ,info ="count_Ywmachinecurrentstate")
	public void count_Ywmachinecurrentstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.count_Ywmachinecurrentstate(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-count_Ywmachinecurrentstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	/**
	 * 查询 Ywmachinecurrentstate
	 */
	/*
	@OperateType(value = LogConstants.LOG_GET ,info ="query_Ywmachinecurrentstate")
	public void query_Ywmachinecurrentstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.query_Ywmachinecurrentstate(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-query_Ywmachinecurrentstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询 一条Ywmachinecurrentstate
	 */
	
	@OperateType(value = LogConstants.LOG_GET ,info ="get_Ywmachinecurrentstate")
	public void get_Ywmachinecurrentstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.get_Ywmachinecurrentstate(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateActionquery_Ywmachinecurrentstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}

	/***
	 * 查询在线的
	 */
	@OperateType(value = LogConstants.LOG_GET ,info ="listYwmachineonline")
	public void listYwmachineonline(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.listYwmachineonline(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateActionquery_listYwmachineonline-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}

	/***
	 * 查询不在线的
	 */
	@OperateType(value = LogConstants.LOG_GET ,info ="listYwmachineUnonline")
	public void listYwmachineUnonline(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.listYwmachineUnonline(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateActionquery_listYwmachineUnonline-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}

/**
 * 修改
 */

	@OperateType(value = LogConstants.LOG_UPDATE ,info ="update_Ywmachinecurrentstate")
	public void update_Ywmachinecurrentstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!StringUtil.checkEmpty(map.get("checkparam"))){
				Map sMap = new HashMap();
				sMap.put("tableparam", map.get("checkparam"));
				List ls = service.query_Ywmachinecurrentstate(sMap);
				if(!StringUtil.checkEmpty(ls)||ls.size()>0){
					Struts2Utils.renderJson(Constants.SAME);
				}else{
					int result = service.update_Ywmachinecurrentstate(map);
					Struts2Utils.renderJson(Constants.SUCCESS);
				}
			}else{
				int result = service.update_Ywmachinecurrentstate(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-update_Ywmachinecurrentstate-error: " +e);
			Struts2Utils.renderJson(null);
		}
	}

	/**
	 * 删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="deleteYwmachinecurrentstate")
	public void delete_Ywmachinecurrentstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!CommUtils.isEmpty(map)){
				int result = service.delete_Ywmachinecurrentstate(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}else{
				 throw new Exception("请正确的选择删除记录!!!");
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-delete_Ywmachinecurrentstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/

	/**
	 * 插入
	 */
	/*
	@OperateType(value = LogConstants.LOG_ADD ,info ="insert_Ywmachinecurrentstate")
	public void insert_Ywmachinecurrentstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(StringUtil.checkEmpty(map.get("currentstateid"))){
				map.put("currentstateid",StringUtil.getUUID());
			}
			if(!StringUtil.checkEmpty(map.get("checkparam"))){
				Map sMap = new HashMap();
				sMap.put("tableparam", map.get("checkparam"));
				List ls = service.query_Ywmachinecurrentstate(sMap);
				if(!StringUtil.checkEmpty(ls)||ls.size()>0){
					Struts2Utils.renderJson(Constants.SAME);
				}else{
					service.insert_Ywmachinecurrentstate(map);
					Struts2Utils.renderJson(Constants.SUCCESS);
				}
			}else{
				service.insert_Ywmachinecurrentstate(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}			
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-insert_Ywmachinecurrentstate()-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	

	/**
	 * 批量删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="batch_delete_Ywmachinecurrentstate")
	public void batch_delete_Ywmachinecurrentstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Map m = new HashMap();
			m.put("keyword", map.get("keyword").toString());
			int result = service.batch_delete_Ywmachinecurrentstate(m);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-batch_delete_Ywmachinecurrentstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 导出Excel
	 */
	/*
	//@OperateType(value = LogConstants.LOG_EXPORT ,info ="exp_Ywmachinecurrentstate")
	public void exp_Ywmachinecurrentstate(){
		try {
			Map map = Struts2Utils.getRequestParameterMap();
			map.put("start",0 );
			map.put("limit",5000);
			List<Map> sList = service.query_Ywmachinecurrentstate(map);		
			List<HashMap> expList = new ArrayList<HashMap>();
			for(Map m : sList){
				Map exportMap = new HashMap();
				exportMap.put("yhzh", m.get("yhzh"));
				expList.add((HashMap) exportMap);
			}
			int excelNum = 2;
			ExcelCol[] cells = new ExcelCol[excelNum];
			String[] zdbm = {"yhzh", "yhmc",};
			String[] zdmc = {"用户账号", "用户名称"};
			for(int i=0;i<excelNum;i++){
				cells[i] = new ExcelCol();
				cells[i].setColKey(zdbm[i]);
				cells[i].setColName(zdmc[i]);
			}		
			SimpleDateFormat formart = new SimpleDateFormat("yyyy-MM-dd");   
        	String dateTime=formart.format(new Date()); 
			Map params = new HashMap();
			params.put("fileName", "运维服务器当前状态表-"+dateTime);
			params.put("sheetName", "运维服务器当前状态表");
			params.put("header", "运维服务器当前状态表");	
			new ExportEngine().exportCommData(params, cells, (ArrayList)map.get("rows"), Struts2Utils.getResponse());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinecurrentstateAction-exoprtExcel-error:" +e);
			
		}
	}
	*/
	
	/**
	 * 导入Excel
	 */
	/*
	//@OperateType(value = LogConstants.LOG_IMPORT ,info ="imp_Ywmachinecurrentstate")
	public String imp_Ywmachinecurrentstate(String excelFile,Object user) {
		String rs = "导入格式有误!";
		int rowNum = 0;
		int dataCount = 0;
		int successNum = 0;
		int repeatNum = 0;
		int failNum = 0;
		try {
		
			ExcelReader readExcel = new ExcelReader();
			readExcel.openFile(excelFile);
			readExcel.setSheetNum(0);
			int count = readExcel.getRowCount();
			iLog.info("总行数count--->" + count);
			rs = " 导入数据成功！总共"+ dataCount +"条数据,重复"+repeatNum+"条数据！失败"+failNum+"条数据!";
			File file = new File(excelFile);
			if(file.exists()){
				file.delete();
			}
		} catch (Exception e) {
			if (rowNum > 3) {
				rs = "资源部分导入(更新)失败！Excel第" + rowNum + "行起未导入(更新)成功！";
			} else {
				rs = "资源导入(更新)失败！";
			}
			iLog.error("YwmachinecurrentstateAction-imp_Ywmachinecurrentstate-error:" +e);
			e.printStackTrace();
		}		
		return rs;
	}
	*/
}
